Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77258 - Ethernet interface not working on SiS 963 south bridge (SiS 648 chipset)
Summary: Ethernet interface not working on SiS 963 south bridge (SiS 648 chipset)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-04 13:36 UTC by David Monniaux
Modified: 2013-07-03 02:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-16 11:07:04 UTC


Attachments (Terms of Use)
Replacement sis900.c (deleted)
2002-11-04 13:39 UTC, David Monniaux
no flags Details | Diff
Replacement sis900.h (deleted)
2002-11-04 13:40 UTC, David Monniaux
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:262 normal SHIPPED_LIVE : New kernel fixes local denial of service issue 2002-09-23 04:00:00 UTC

Description David Monniaux 2002-11-04 13:36:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The sis900.o driver in kernel 2.4.18-14 refuses to load, complaining about the
impossibility of reading the "EERPOM" (I guess they meant EEPROM - the station
address ROM, containing the MAC address):

Error EERPOM read 0

This driver is meant for SiS <= 962, not 963.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run on a machine with a SiS 963 south bridge with attached Ethernet (SiS 648
chipset - Asus P4S8X is an example motherboard).
2.modprobe sis900
3.
	

Actual Results:  Error EERPOM read 0

Expected Results:  Loading the driver

Additional info:

You need to upgrade the driver in the kernel to a recent one supporting SiS 963
(one exists in kernel 2.5.40). People from SiS sent me replacement sis900.{c,h}
that working with 2.4 kernels.

Comment 1 David Monniaux 2002-11-04 13:39:18 UTC
Created attachment 83485 [details]
Replacement sis900.c

Comment 2 David Monniaux 2002-11-04 13:40:11 UTC
Created attachment 83486 [details]
Replacement sis900.h

Comment 3 Arjan van de Ven 2002-11-16 11:07:04 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-262.html



Note You need to log in before you can comment on or make changes to this bug.